var _print = require('../../lib/_print');

exports.setUp = function (done) {
    done();
};
exports.tearDown = function (done) {
    done();
};

exports['Do print'] = function (test) {
    [0, 1].forEach(function (flg) {
        process.env.APEMAN_PRINT_DISABLED = flg;
        _print('Normal print.', 1);
        _print.info('Info print.', 2);
        _print.ng('NG print.', 3);
        _print.ng.detail('NG Detail print.', 4);
        _print.ok('OK print.', 5);
    });
    process.env.APEMAN_PRINT_DISABLED = false;
    _print('foo', 'bar');
    var log = console.log;
    console.log = function () {
    };
    _print._log('foo', 'bar');
    console.log = log;
    test.done();
};